파이썬 입문 및 웹 크롤링을 활용한 다양한 자동화 어플리케이션 제작하기

파이썬 입문 및 웹 크롤링을 활용한 다양한 자동화 어플리케이션 제작하기

(29개의 수강평)

830명의 수강생

55,000원

좋은사람
평생
초급
수료증
55개 수업, 총 26시간 42분
Wishlist
bitcocom 프로필

python에서 dict를 합칠려면 어떻게 해야되는지요? bitcocom 7시간 전

좋은강의를 올려주셔서 감사합니다.
이동영상과는 조금 다른 질문이 될수도 있겠습니다.
다름이 아니라 아래에 a, b 리스트에 dict 자료가 들어 있습니다.

a, b에서
yyyy가 날짜인데 날짜가 같으면 a에 b에 있는 price를 넣는것이구요,
같은 날짜가 없으면 price는 0으로 넣어 tmp처럼 만들수가 있을가요.
a리스트가 기준이 된다고 생각하시면 됩니다.
b에는 없는 날짜도 있구요.
파이썬 초보인데 데이터를 합쳐야되는 문제가 있어서 여쭤봅니다.
가능하시면 지혜를 주시면 감사하겠습니다.

a=[{'yyyy':'20151001','AVG_TA':23.6,'MIN_TA':14.5,'MAX_TA':23},
{'yyyy':'20151002','AVG_TA':23.6,'MIN_TA':14.5,'MAX_TA':23},
{'yyyy':'20151003','AVG_TA':23.6,'MIN_TA':14.5,'MAX_TA':23}]

b=[{'yyyy':'20151001','price':2134}, {'yyyy':'20151003','price':2234}]

tmp=[{'yyyy':'20151001','AVG_TA':23.6,'MIN_TA':14.5,'MAX_TA':23,'price':2134},
{'yyyy':'20151002','AVG_TA':23.6,'MIN_TA':14.5,'MAX_TA':23,'price':0},
{'yyyy':'20151003','AVG_TA':23.6,'MIN_TA':14.5,'MAX_TA':23,'price':2234} ]

1
우 준호 프로필

실행시 urllib.error.HTTPError: HTTP Error 403: Forbidden 이라고 나옵니다 우 준호 7일 전

안녕하세요 강의 잘 보고 있습니다

이번에 실행 해보니 

urllib.error.HTTPError: HTTP Error 403: Forbidden

와 같은 에러가 발생합니다.

streams 목록까지는 잘 나오는데 download에서 그런거 같은데 어떤 문제가 있을까요? 

확인 부탁드립니다

제 소스 입니다.===

import pytube

import os

import subprocess

 

yt = pytube.YouTube("https://www.youtube.com/watch?v=CTRO5NXmAp8") #다운로드 받을 동영상 지정

videos = yt.streams.all()

 

for i in range(len(videos)) : #range(1, 6) 1,2,3,4,5 : 첫번째 인자 이상 두번째 미만

    print(i, ',', videos[i])

 

cNum = int(input("다운 받을 화질은? (0~21 입력)"))

 

down_dir = "/Users/junhowoo/Documents"

videos[cNum].download(down_dir)

 

newFileName = input("변환 할 mp3 파일명은?")

oriFileName = videos[cNum].default_filename

 

subprocess.call(["ffmpeg", "-1",

    os.path.join(down_dir, oriFileName),

    os.path.join(down_dir, newFileName)

])

 

print("동영상 변환 완료")

 

 

 

3
frenchkebab 프로필

질문있습니다 frenchkebab 14일 전

다음 코드에서 string을 안붙이면 정상적으로 출력이 되는데, string을 붙이면 None을 출력합니다.

왜때문인거죠?

from bs4 import BeautifulSoup
import urllib.request as req
import sys
import io


sys.stdout = io.TextIOWrapper(sys.stdout.detach(), encoding = 'utf-8')
sys.stderr = io.TextIOWrapper(sys.stderr.detach(), encoding = 'utf-8')

url = "https://finance.daum.net/"
res = req.urlopen(url).read()
soup = BeautifulSoup(res, "html.parser")
top = soup.select("#wrap > div.footer > span > div.fl > p")[0]

print(top.string)

 

1
서유찬 (지대로보고있음) 프로필

파이썬 자동화를 서버프로그램으로 만들고 싶은데 서유찬 (지대로보고있음) 15일 전

만들고 싶은게 크롤링 여러개의 프로그램 동시 작용을 원하는데 

 

공용서버에서 파이썬을 돌리는걸  배우고 싶은데 

 

파이썬 어느 분야인가요 .. 문과라서 파이썬 서버라고 찾아도 자료가 없어서 

이런분야는 어떤과목인가요 

1
김정호 Kim 프로필

마지막 예제 질문이 있습니다. 김정호 Kim 21일 전

인프런 사이트가 지금은 로그인 창이 팝업으로 뜨고 잘못된 정보를 입력해도 redirect되지 않고 그대로 유지가 되네요.

어떤 식으로 해결을 해야할까요?

8
frenchkebab 프로필

gui창이 안뜹니다 frenchkebab 22일 전

테스트 실행에서 아래와 같이 바꾸면 실행이 되는데

강의의 코드를 따라하니 실행이 안되네요? 왜그런건가요?

import tkinter

def printHello():
    print('Hi!')


window=tkinter.Tk()


w = tkinter.Label(window, text="Python Test")
b = tkinter.Button(window, text="Hello Python", command=printHello)
c = tkinter.Button(window, text="Quit", command=window.quit)

w.pack()
b.pack()
c.pack()

window.mainloop()
from tkinter import *

def printHello():
    print('Hi!')


root = Tk()

w = Label(root, text="Python Test")
b = Button(root, text="Hello Python", command=printHello)
c = Button(root, text="Quit", command=root.quit)

w.pack()
b.pack()
c.pack()

root.mainloop

 

1
최문규 Choi 프로필

pyqt5-tools 설치 오류 문제 최문규 Choi 22일 전

2018.5.27 기준 

python =3.5 version 으로 pyqt5-tools 설치가 불가능하다고 나옵니다. 

2
pzy1108 프로필

GUI와 파싱 pzy1108 26일 전

저가 지금 디자이너로 윈도우 창 디자인을 대충 짜놨는데

공공데이터포털에서 XML 데이터를 파싱 한 후에, 예를들어 버튼을 누르면 파싱한 데이터의 텍스트나 이미지가 PlainText창에 뜬다든지와 같이 파싱을 한 후에  어떤식으로 이벤트를 줘서 프로그램을 만드는지 모르겠습니다ㅠ.ㅠ

 

그리고 xml 데이터를 파싱하는 강좌도 딱 하나 있어서 들어보았는데 데이터 마다, 내가 어떻게 할 지에 따라 달라져서 파싱을 정확히 어떻게 하는지도 잘 모르겠습니다...

도움이 될만한 자료나 사이트가 있을까요...??

1
ㄱㄴㄷㄹㅁㅂㅅ 프로필

과제관련 ㄱㄴㄷㄹㅁㅂㅅ 27일 전

변환할 파일명 뒤에 .mp3 자동으로 붙힐수 있나요?

시도해봤는데 띄어쓰기 판정나서 계속 에러 나네요 ㅠ

2
orry 프로필

에러코드가 400으로 나오는건 왜그러는 것인지요? orry 28일 전

복잡한 형식이 아니라 아주 단순한 형식인데도 계속 에러가 납니다. 

urllib.error.HTTPError: HTTP Error 400: Bad Request
이렇게 떠요.

1
김상민 프로필

atom 김상민 28일 전

일반 cmd에서는 atom을 입력할시 정상적으로 작동하는데 아나콘다 cmd에서는 atom을 입력하면 외부 명령, 실행할 수 있는 프로그램, 또는 배치 파일이 아닙니다.라고 나오는데 이러한 경우에는 어떻게해야하나요?? user이름도 모두 영문인데도 이렇게 되네요 ㅠㅠ

1
김정호 Kim 프로필

이 강의도 인프런은... 김정호 Kim 1달 전

개편이 되어서 수업 내용이랑 전혀 다르네요 ㅠ_ ㅠ

3
김정호 Kim 프로필

강의 수강을 이제서야 하고 있다보니 다른점들이 심심지않게 있네요. 김정호 Kim 1달 전

인프런 사이트도 개편이 되서 강의 내용과 완전히 다른 것 같아요...

추천 강좌가 없어서 https://www.inflearn.com/courses 링크에서 하니 soup로는 강의 하나만 긁어와지더라고요.

브라우저 도구에서는 모든 강의가 다 보이는데....

1
JaeYoung Yoo 프로필

3-4-2 인프런 질문 JaeYoung Yoo 1달 전

안녕하세요,

3-4-2에서 인프런의 세션 가져오는 부분이 리뉴얼로 인해 변경된 거 같은데, 해당 실습을 할 수 가 없습니다.

업데이트 요청드립니다.

2
TV 으악맨 (읅!) 프로필

키에러가 납니다 TV 으악맨 (읅!) 1달 전

뉴버전 보고있는데 

             Close    Open    High     Low      Volume  Change

Date                                                          

2019-04-22  204.53  202.83  204.94  202.34  19440000.0  0.0033

2019-04-23  207.48  204.43  207.75  203.90  23320000.0  0.0144

2019-04-24  207.16  207.36  208.48  207.05  17540000.0 -0.0015

2019-04-25  205.28  206.83  207.76  205.12  18540000.0 -0.0091

2019-04-26  204.30  204.90  205.00  202.12  18650000.0 -0.0048

2019-04-29  204.61  204.40  205.97  203.86  22200000.0  0.0015

2019-04-30  209.95  202.69  209.95  199.17   1730000.0  0.0261

Traceback (most recent call last):

  File "pandas/_libs/index.pyx", line 457, in pandas._libs.index.DatetimeEngine.get_loc

  File "pandas/_libs/hashtable_class_helper.pxi", line 811, in pandas._libs.hashtable.Int64HashTable.get_item

TypeError: an integer is required

 

During handling of the above exception, another exception occurred:

 

Traceback (most recent call last):

  File "/Users/hyeonseongjun/anaconda3/lib/python3.6/site-packages/pandas/core/indexes/base.py", line 2525, in get_loc

    return self._engine.get_loc(key)

  File "pandas/_libs/index.pyx", line 421, in pandas._libs.index.DatetimeEngine.get_loc

  File "pandas/_libs/index.pyx", line 459, in pandas._libs.index.DatetimeEngine.get_loc

  File "pandas/_libs/index.pyx", line 465, in pandas._libs.index.DatetimeEngine._date_check_type

KeyError: '2016-02-25'

 

During handling of the above exception, another exception occurred:

 

Traceback (most recent call last):

  File "pandas/_libs/index.pyx", line 457, in pandas._libs.index.DatetimeEngine.get_loc

  File "pandas/_libs/hashtable_class_helper.pxi", line 811, in pandas._libs.hashtable.Int64HashTable.get_item

TypeError: an integer is required

 

During handling of the above exception, another exception occurred:

 

Traceback (most recent call last):

  File "/Users/hyeonseongjun/anaconda3/lib/python3.6/site-packages/pandas/core/indexes/datetimes.py", line 1435, in get_loc

    return Index.get_loc(self, key, method, tolerance)

  File "/Users/hyeonseongjun/anaconda3/lib/python3.6/site-packages/pandas/core/indexes/base.py", line 2527, in get_loc

    return self._engine.get_loc(self._maybe_cast_indexer(key))

  File "pandas/_libs/index.pyx", line 421, in pandas._libs.index.DatetimeEngine.get_loc

  File "pandas/_libs/index.pyx", line 459, in pandas._libs.index.DatetimeEngine.get_loc

  File "pandas/_libs/index.pyx", line 465, in pandas._libs.index.DatetimeEngine._date_check_type

KeyError: '2016-02-25'

 

During handling of the above exception, another exception occurred:

 

Traceback (most recent call last):

  File "pandas/_libs/index.pyx", line 449, in pandas._libs.index.DatetimeEngine.get_loc

  File "pandas/_libs/hashtable_class_helper.pxi", line 811, in pandas._libs.hashtable.Int64HashTable.get_item

  File "pandas/_libs/hashtable_class_helper.pxi", line 817, in pandas._libs.hashtable.Int64HashTable.get_item

KeyError: 1456358400000000000

 

During handling of the above exception, another exception occurred:

 

Traceback (most recent call last):

  File "/Users/hyeonseongjun/anaconda3/lib/python3.6/site-packages/pandas/core/indexes/base.py", line 2525, in get_loc

    return self._engine.get_loc(key)

  File "pandas/_libs/index.pyx", line 421, in pandas._libs.index.DatetimeEngine.get_loc

  File "pandas/_libs/index.pyx", line 451, in pandas._libs.index.DatetimeEngine.get_loc

KeyError: Timestamp('2016-02-25 00:00:00')

 

During handling of the above exception, another exception occurred:

 

Traceback (most recent call last):

  File "pandas/_libs/index.pyx", line 449, in pandas._libs.index.DatetimeEngine.get_loc

  File "pandas/_libs/hashtable_class_helper.pxi", line 811, in pandas._libs.hashtable.Int64HashTable.get_item

  File "pandas/_libs/hashtable_class_helper.pxi", line 817, in pandas._libs.hashtable.Int64HashTable.get_item

KeyError: 1456358400000000000

 

During handling of the above exception, another exception occurred:

 

Traceback (most recent call last):

  File "/Users/hyeonseongjun/anaconda3/lib/python3.6/site-packages/pandas/core/indexes/datetimes.py", line 1444, in get_loc

    return Index.get_loc(self, stamp, method, tolerance)

  File "/Users/hyeonseongjun/anaconda3/lib/python3.6/site-packages/pandas/core/indexes/base.py", line 2527, in get_loc

    return self._engine.get_loc(self._maybe_cast_indexer(key))

  File "pandas/_libs/index.pyx", line 421, in pandas._libs.index.DatetimeEngine.get_loc

  File "pandas/_libs/index.pyx", line 451, in pandas._libs.index.DatetimeEngine.get_loc

KeyError: Timestamp('2016-02-25 00:00:00')

 

During handling of the above exception, another exception occurred:

 

Traceback (most recent call last):

  File "/Users/hyeonseongjun/Desktop/inflearn/section2/test/bnmva23-1/download4-7-3.py", line 24, in <module>

    print(df_app.ix['2016-02-25'])

  File "/Users/hyeonseongjun/anaconda3/lib/python3.6/site-packages/pandas/core/indexing.py", line 127, in __getitem__

    return self._getitem_axis(key, axis=axis)

  File "/Users/hyeonseongjun/anaconda3/lib/python3.6/site-packages/pandas/core/indexing.py", line 1108, in _getitem_axis

    return self._get_label(key, axis=axis)

  File "/Users/hyeonseongjun/anaconda3/lib/python3.6/site-packages/pandas/core/indexing.py", line 145, in _get_label

    return self.obj._xs(label, axis=axis)

  File "/Users/hyeonseongjun/anaconda3/lib/python3.6/site-packages/pandas/core/generic.py", line 2344, in xs

    loc = self.index.get_loc(key)

  File "/Users/hyeonseongjun/anaconda3/lib/python3.6/site-packages/pandas/core/indexes/datetimes.py", line 1446, in get_loc

    raise KeyError(key)

KeyError: '2016-02-25'

에러메세지인데요 혹시나 해서 복붙해봤는데 역시나 마찬가지입니다

2